﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Understanding Tiered Campaigns</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Understanding Tiered Campaigns </h1>
        <p>It is pivotal to perform a double review of critical accesses to avoid any compliance issues, misuse of accesses, or SOD violations. IGA provides Tiered Campaigns to address these important concerns by performing double reviews. Using the Tiered Campaigns, you can sequence multiple reviews one after the other within the same certification campaign. For example, you can initiate a User Manager campaign and perform the necessary actions in Step 2 of the User Manager campaign. After completing the User Manager Campaign, you can create an Entitlement Owner campaign and use the Advanced Campaign Query to fetch the approved or rejected items from User Manager campaign by specifying the name of the User Manager Campaign in the Advanced Query. </p>
        <p>When you launch the Entitlement Owner campaign, based on how you have framed the Advanced Query the approved, rejected items or both (approved and rejected) can be filtered and fetched for second review in the Entitlement Owner campaign. The Entitlement Owner can take actions on the already acted upon line-items by the User Manager. For revoke actions taken by the Entitlement Owner, a revoke task will be created. The benefit of the Tiered Campaign is it helps to perform a second review and correct necessary actions that were previously taken from the User Manager campaign. </p>
        <p><strong>Procedure</strong>
        </p>
        <ol>
            <li>
                <p>Launch a User Manager Campaign.</p>
            </li>
            <li>
                <p>Log in to IGA as the Manager and take actions in Step 1 and Step 2. </p>
            </li>
            <li>
                <p>For example, you have rejected the Base Account ‘SAUser2’ and Entitlement ‘SAEntitement1’. in Step 2 of the User Manager campaign.<br /></p>
                <p>
                    <img src="../Resources/Images/savemgrcampaign.png" style="width: 550px;" />
                </p>
                <p>
                    <br />
                </p>
            </li>
            <li>
                <p>Take actions on all the line-items in the User Manager campaign, complete the certification, and lock the campaign.</p>
            </li>
            <li>
                <p>After locking the User Manager campaign, you need to launch an Entitlement Owner campaign. <br /></p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p>Ensure that the Entitlement Owner campaign is launched only after completing the User Manager campaign. Because only after you complete the User Manager campaign, actions taken in User Manager campaign are reflected in the subsequent Entitlement Owner campaign. <br /></p>
                </div>
            </li>
            <li>
                <p>When you are creating an Entitlement Owner campaign, specify a query in the Advanced Campaign Configuration &gt; Account Entitlements1 Query parameter. Ensure that you specify the name of the previous Campaign from where you want to fetch the items that are already acted upon in the previous Campaign in the Account Entitlements1 Query. You have an option to fetch both (approved + rejected line items), only approved, or only rejected line items. You can achieve this based on the query you specify in the Account Entitlements1 Query. <br /><br /><strong>Sample Account Entitlements1 Query</strong>:<br /></p>
                <div class="codeContent panelContent pdl"><span class="attr">(ae1.accountkey, ae1.entitlement_valuekey) in (select distinct ae.accountkey,ae.entitlement_valuekey from Account_entitlements1 ae , Certification_account_entitlement1_status cae, Certification_account ca, Certification_entitlement_value cev , Accounts a, Entitlement_values ev, Campaign c, Certification ce where cae.certified!='3' and cae.cert_accountkey = ca.id and ca.accountkey= a.id and a.id = ae.accountkey and cae.cert_entitlement_valuekey = cev.id and cev.entitlement_valuekey = ev.id and ev.id= ae.entitlement_valuekey and c.id = ce.campaignKey and ce.id = cae.certkey and c.campaignName = 'TieredUM')</span> </div>
                <div class="codeContent panelContent pdl">
                    <img src="../Resources/Images/entitlementquery.png" style="width: 550px;" />
                </div>
            </li>
            <li>
                <p>Launch the Entitlement Owner campaign using the Account Entitlements Query.</p>
            </li>
            <li>
                <p>Log in to IGA&#160;as the Entitlement Owner.</p>
            </li>
            <li>
                <p>As the query specified in <strong>Account Entitlements1 Query </strong>field was to skip the rejected line items ‘<strong>SAUser2’ + 'SAEntitlement1</strong>’ and only include approved line items, the Entitlement Owner campaign only displays the approved line items in the Entitlement Owner campaign as shown in the following figure. The Entitlement Owner campaign can take action on the remaining entitlements. If the Entitlement Owner campaign was launched <strong>without the query </strong>being specified in the <strong>Account Entitlements1 Query </strong>parameter then it would have shown all the line items in the Entitlement Owner campaign, including those that the previous User Manager has also acted upon as part of the User Manager campaign. </p>
                <p>
                    <img src="../Resources/Images/certificateentitlement1.png" style="width: 550px;" />
                </p>
                <p>Hence, Tiered Campaigns helps you to achieve multiple objectives such as:</p>
            </li>
        </ol>
        <ul>
            <li>
                <p>For critical accounts and entitlements, perform double reviews in two campaigns (Primary and Secondary)  </p>
            </li>
            <li>
                <p>In case of incorrect approval done by Manager in the first campaign, you can override and reject the line item. Upon completing and locking the campaign, revoke tasks are created.   </p>
            </li>
            <li>
                <p>Avoid double reviews for non-critical entitlements - by skipping approvals in the second campaign, for line-items already acted upon by the Manager in Primary campaign.<br /></p>
            </li>
        </ul>
    </body>
</html>